import 'dart:async';

import 'package:dart_framework/utils/system_util.dart';
import 'package:oto/cli/cli.dart';
import 'package:oto/cli/commands/command_base.dart';

class CommandVersion extends CommandBase {
  @override
  Map<String, List<String>> get arguments => {};

  @override
  String get name => '--version';

  @override
  String get usage => '';

  @override
  bool shouldExecuteWithoutParameters() => true;

  @override
  Future execute(List<String> parameters) async {
    await CLI.println('oto version 1.0.0');
    return simpleFuture;
  }

  @override
  String getDescription() {
    return 'Print OTO runner version.';
  }
}
